## visad.data
Interface FormFileInformer

All Known Implementing Classes:
  ArcAsciiGridForm, AreaForm, DemFamily, DODSForm, F2000Form, FitsForm, GIFForm, HDF5Form, Hdfeos, JAIForm, LegacyTiffForm, LociForm, MapForm, NetCDF, PointForm, TextForm, UsgsDemForm, Vis5DForm, Vis5DTopoForm, VisADForm

public interface FormFileInformer

FormFileInformer is the VisAD interface for checking system- and file-specific data from a file Form.

Method Summary
`String[]` `getDefaultSuffixes()` Get default suffixes for files/URLs handeled by this form.
`boolean` `isThisType(byte[] block)` Check to see if the block contains the magic number for this form.
`boolean` `isThisType(String name)` Check to see if the file name might be right for this form.

Method Detail

### isThisType

    public boolean isThisType(String name)

  Check to see if the file name might be right for this form.

  Parameters:
    `name` - name of the file
  Returns:
    true if the name is right for this type of form

### isThisType

    public boolean isThisType(byte[] block)

  Check to see if the block contains the magic number for this form.

  Parameters:
    `block` - block of bytes from file
  Returns:
    true if the magic number is right

### getDefaultSuffixes

    public String[] getDefaultSuffixes()

  Get default suffixes for files/URLs handeled by this form.

  Returns:
    array of suffixes